'****************************************************************
'*  Name     : DIODE.BAS                                        *
'*  Autor    : Milanovic V.                                     *
'*  Napomena : Primer prostog programa                          *
'*  Datum    : 21.04.2004                                       *
'*  Verzija  : 1.0                                              *
'*  Napomena :  Program generise razlicite sekvence na LED      *
'*           :  diodama                                         *
'****************************************************************
      i var byte
      j var word
      k var byte
        
      TRISA = $FF    ' Svi pinovi porta A su ulazni
      TRISB = $00    ' Svi pinovi porta B su ulazni
      PORTB = $00    ' Ugasi sve LED diode na pocetku programa
      pause 1500
 
  Pocetak:
  For i = 1 to 4
'-----------Pali jednu po jednu diodu i gasi od pocetka---------
      if i = 1 Then j = 1000   ' Pauza 1 sekund 
      if i = 2 Then j = 500    ' Pauza 0.5 sekunda 
      if i = 3 Then j = 250    ' Pauza 0.25 sekunda 
      if i = 4 Then j = 100    ' Pauza 0.25 sekunda 

      High PortB.0   ' Upali Led 0
      pause j

      High PortB.1   ' Upali Led 1
      pause j

      High PortB.2   ' Upali Led 2
      pause j
       
      High PortB.3   ' Upali Led 3
      pause j

      High PortB.4   ' Upali Led 4
      pause j

      High PortB.5   ' Upali Led 5
      pause j

      High PortB.6   ' Upali Led 6
      pause j
 
      High PortB.7   ' Upali Led 7
      pause j
 
      Low PortB.0    ' Ugasi Led 0
      pause j
 
      Low PortB.1    ' Ugasi Led 1
      pause j
 
      Low PortB.2    ' Ugasi Led 2
      pause j
 
      Low PortB.3    ' Ugasi Led 3
      pause j
 
      Low PortB.4    ' Ugasi Led 4
      pause j
 
      Low PortB.5    ' Ugasi Led 5
      pause j
 
      Low PortB.6    ' Ugasi Led 6
      pause j 

      Low PortB.7    ' Ugasi Led 7
      Pause 1000     ' Pauza 1 sekunda

'-----------Pali jednu po jednu diodu i gasi od kraja---------
      High PortB.0   ' Upali Led 0
      pause j

      High PortB.1   ' Upali Led 1
      pause j

      High PortB.2   ' Upali Led 2
      pause j
       
      High PortB.3   ' Upali Led 3
      pause j

      High PortB.4   ' Upali Led 4
      pause j

      High PortB.5   ' Upali Led 5
      pause j

      High PortB.6   ' Upali Led 6
      pause j
 
      High PortB.7   ' Upali Led 7
      pause j
 
      Low PortB.7    ' Ugasi Led 7
      pause j
 
      Low PortB.6    ' Ugasi Led 6
      pause j
 
      Low PortB.5    ' Ugasi Led 5
      pause j
 
      Low PortB.4    ' Ugasi Led 4
      pause j
 
      Low PortB.3    ' Ugasi Led 3
      pause j
 
      Low PortB.2    ' Ugasi Led 2
      pause j
 
      Low PortB.1    ' Ugasi Led 1
      pause j 

      Low PortB.0    ' Ugasi Led 0
      Pause 1000     ' Pauza 1 sekunda

'-----------Prolazi upaljenja LED dioda sa desna u levo--------
      High PortB.0   ' Upali Led 0
      pause j

      High PortB.1   ' Upali Led 1
      Low PortB.0    ' Ugasi Led 0
      pause j

      High PortB.2   ' Upali Led 2
      Low PortB.1    ' Ugasi Led 1
      pause j
       
      High PortB.3   ' Upali Led 3
      Low PortB.2    ' Ugasi Led 2
      pause j

      High PortB.4   ' Upali Led 4
      Low PortB.3    ' Ugasi Led 3
      pause j

      High PortB.5   ' Upali Led 5
      Low PortB.4    ' Ugasi Led 4
      pause j

      High PortB.6   ' Upali Led 6
      Low PortB.5    ' Ugasi Led 5
      pause j
 
      High PortB.7   ' Upali Led 7
      Low PortB.6    ' Ugasi Led 0
      pause j
 
      Low PortB.7    ' Ugasi Led 7
      pause j
      Pause 1000     ' Pauza 1 sekunda

'-----------Prolazi upaljenja LED dioda sa leva u desno--------
      High PortB.7   ' Upali Led 7
      pause j

      High PortB.6   ' Upali Led 6
      Low PortB.7    ' Ugasi Led 7
      pause j

      High PortB.5   ' Upali Led 5
      Low PortB.6    ' Ugasi Led 6
      pause j
       
      High PortB.4   ' Upali Led 4
      Low PortB.5    ' Ugasi Led 5
      pause j

      High PortB.3   ' Upali Led 3
      Low PortB.4    ' Ugasi Led 4
      pause j

      High PortB.2   ' Upali Led 2
      Low PortB.3    ' Ugasi Led 3
      pause j

      High PortB.1   ' Upali Led 1
      Low PortB.2    ' Ugasi Led 2
      pause j
 
      High PortB.0   ' Upali Led 0
      Low PortB.1    ' Ugasi Led 1
      pause j
 
      Low PortB.0    ' Ugasi Led 0
      pause j
      Pause 1000     ' Pauza 1 sekunda

'-----Prolazi neupaljena LED dioda sa desna u levo-------------
      PORTB = $FF    ' Upali sve LED diode
      pause j

      Low PortB.0    ' Ugasi Led 0
      pause j

      High PortB.0   ' Upali Led 1
      Low  PortB.1   ' Ugasi Led 0
      pause j

      High PortB.1   ' Upali Led 2
      Low PortB.2    ' Ugasi Led 1
      pause j

      High PortB.2   ' Upali Led 3
      Low  PortB.3   ' Ugasi Led 2
      pause j

      High PortB.3   ' Upali Led 4
      Low  PortB.4   ' Ugasi Led 3
      pause j

      High PortB.4   ' Upali Led 5
      Low  PortB.5   ' Ugasi Led 4
      pause j

      High PortB.5   ' Upali Led 6
      Low  PortB.6   ' Ugasi Led 5
      pause j

      High PortB.6   ' Upali Led 7
      Low  PortB.7   ' Ugasi Led 6
      pause j

      High PortB.7   ' Upali Led 7
      Pause 1000     ' Pauza 1 sekunda

'-----Prolazi neupaljena LED dioda sa leva u desno-------------
      PORTB = $FF    ' Upali sve LED diode
      pause j

      Low PortB.7    ' Ugasi Led 0
      pause j

      low PortB.6    ' Ugasi Led 6
      High PortB.7   ' Upali Led 7
      pause j

      Low PortB.5     ' Ugasi Led 5
      High PortB.6    ' Upali Led 6
      pause j

      Low PortB.4     ' Ugasi Led 4
      High PortB.5    ' Ugasi Led 5
      pause j

      Low PortB.3     ' Ugasi Led 3
      High  PortB.4   ' Upali Led 4
      pause j

      High PortB.3   ' Upali Led 3
      Low  PortB.2   ' Ugasi Led 2
      pause j

      High PortB.2   ' Upali Led 2
      Low  PortB.1   ' Ugasi Led 1
      pause j

      High PortB.1   ' Upali Led 1
      Low  PortB.0   ' Ugasi Led 0
      pause j

      High PortB.0   ' Ugasi Led 0
      Pause 1000     ' Pauza 1 sekunda

      PORTB = $00    ' Ugasi sve LED diode
      pause 300     

'-----Pali sa krajeva LED pa ih gasi------------------

      High PortB.0   ' Upali Led 0
      High PortB.7   ' Upali Led 7
      pause j
       
      High PortB.1   ' Upali Led 1
      High PortB.6   ' Upali Led 6
      pause j

      High PortB.2   ' Upali Led 2
      High PortB.5   ' Upali Led 5
      pause j
       
      High PortB.3   ' Upali Led 3
      High PortB.4   ' Upali Led 4
      pause j     
       
      Low PortB.3    ' Ugasi Led 3  
      Low  PortB.4   ' Ugasi Led 4
      pause j
      
      Low PortB.5    ' Ugasi Led 5  
      Low  PortB.2   ' Ugasi Led 2
      pause j
       
      Low PortB.6    ' Ugasi Led 6  
      Low  PortB.1   ' Ugasi Led 1
      pause j
       
      Low PortB.7    ' Ugasi Led 7  
      Low  PortB.0   ' Ugasi Led 0
      pause j
      pause 1000

' Dva puta blinka na kraju ciklusa
for k = 1 to 2
      PORTB = $FF    ' Upali sve LED diode
      pause 300
      PORTB = $00    ' Ugasi sve LED diode
      pause 300     
next k

      pause 1000

Next i
      pause 1000

'-----------Tri puta blinkanje dioda--------------------
for i = 1 to 3
      PORTB = $FF    ' Upali sve LED diode
      pause 200
      PORTB = $00    ' Ugasi sve LED diode
      pause 200     
next i
      pause 1000    ' Pauza 1 sekunda  
      Goto Pocetak  ' Vraca se na pocetak programa
      
      End           ' Kraj program
